import * as core from '@workbench-stack/core';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class ConfigurationService implements core.IBrowserConfigurationService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any);
    getConfiguration(): Promise<void>;
    get configuration(): core.IFinalConfigurationFragment;
    getValue<T>(): T;
    getValue<T>(section: string): T;
    getValue<T>(overrides: core.IConfigurationOverrides): T;
    getValue<T>(section: string, overrides: core.IConfigurationOverrides): T;
    updateValue(key: string, value: any): Promise<void>;
    updateValue(key: string, value: any, overrides: core.IConfigurationOverrides): Promise<void>;
    updateValue(key: string, value: any, target: core.ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: core.IConfigurationOverrides, target: core.ConfigurationTarget): Promise<void>;
    reloadConfiguration(folder?: core.IWorkspaceFolder): Promise<void>;
}
