import { IWorkspace, IWorkspaceFolder, WorkbenchState, ISingleFolderWorkspaceIdentifier, IWorkspaceIdentifier, IClientWorkspaceContextService as IWorkspaceContextService } from '@workbench-stack/core';
import * as core from '@workbench-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class WorkspaceContextService implements IWorkspaceContextService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    private workspace;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any);
    private _getWorkspace;
    getFolders(): IWorkspaceFolder[];
    getWorkbenchState(): WorkbenchState;
    getCompleteWorkspace(): Promise<IWorkspace>;
    getWorkspace(): IWorkspace;
    getWorkspaceFolder(resource: URI): IWorkspaceFolder | null;
    isInsideWorkspace(resource: URI): boolean;
    isCurrentWorkspace(workspaceIdentifier: ISingleFolderWorkspaceIdentifier | IWorkspaceIdentifier): boolean;
}
